Subject: Re: bug#50947: [core-updates-frozen] python-graphene (fixed with version update) and python-nautilus fail to build

From: Ludovic Courtès <[email-masked]>
Date: Thu, 18 Nov 2021 15:57:13 +0100

Hi John,

John Kehayias <[email-masked]> skribis:

> python-graphene fails to build on core-updates-frozen; log from the CI on x86_64 is here: https://ci.guix.gnu.org/build/894641/details
>
> I tried updating this and needed packages, though some things are in between versions and dependencies (between beta/rc and older stable release). It started getting a little messy with needing several older versions of packages, so I found the easiest thing was to update python-graphene to the latest beta version, since that closely matches the dependency versions we have. Although the dependents also depend on python-nautilus, so I haven't been able to check their builds (see below).

Addressed with something similar to your patch in commit
2b3046beca1b35e03f975fb95956f32eb46dee8c.

> So that builds (see git diff attached), but then python-nautilus fails for me, after updating it as well, with the (partial log):
>
> Compiling '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/scripts/events/publish.py'...
> Listing '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates'...
> Listing '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates/api'...
> Listing '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates/api/{{name}}'...
> Compiling '/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates/api/{{name}}/server.py'...
> ***   File "/gnu/store/i7f6bzgm5aaxlsijfilra4w4sms2wa51-python-nautilus-0.5.2/lib/python3.9/site-packages/nautilus/management/templates/api/{{name}}/server.py", line 4
>     class {{name.title()}}Service(nautilus.APIGateway):
>           ^
> SyntaxError: invalid syntax

That I don’t know how to fix.  Looks like these are templates, not
actual Python files, and that as such they should be skipped compilation
machinery in the ‘install’ phase.

Maxim, any suggestions?

Thanks,
Ludo’.